# Contributing to ChowTape

The goal of this project is to create a high-quality,
open-source tape emulation plugin. Here's how you can
help:


## Testing

The easiest way to contribute is to simply use the plugin!
All software has bugs, so the more folks using the software,
the quicker bugs will be found and fixed! For audio plugins
in particular, there are different DAWs, versions, etc,
that can all have different behavior, triggering different bugs.
Testing with the [Nightly Builds](https://chowdsp.com/nightly.html#tape)
is especially appreciated, to help catch bugs before they make
it into an official release. The
[issues](https://github.com/jatinchowdhury18/AnalogTapeModel/issues)
page can be used for reporting bugs or posting feature requests.
All feedback is useful and most welcome!


## Presets

If you have a favorite setting for the plugin, consider
adding it as a preset so other users can try it as well!
For more information on contributing presets, see the
[presets issue](https://github.com/jatinchowdhury18/AnalogTapeModel/issues/30).


## Documentation

If you've been using the plugin for a while and are pretty
familiar with it, please consider contributing to the plugin
[documentation](https://ccrma.stanford.edu/~jatin/chowdsp/Products/ChowTapeManual.pdf).


## Plugin Development

If you'd like to contribute to the development of the plugin,
start by checking out the
[issues](https://github.com/jatinchowdhury18/AnalogTapeModel/issues)
page. Bug fixes and new features are always welcome.

ChowTape is built using the [JUCE](https://github.com/juce-framework/JUCE)
framework, and accordingly, we follow the
[JUCE coding standards](https://juce.com/discover/stories/coding-standards).
For information on getting started with development, please see the
[building](https://github.com/jatinchowdhury18/AnalogTapeModel/blob/master/BUILDING.md)
page. If you plan to implement a new feature, please create a
[feature request](https://github.com/jatinchowdhury18/AnalogTapeModel/issues/new?assignees=jatinchowdhury18&labels=enhancement&template=feature_request.md&title=%5BFEATURE%5D)
first, so the feature can be discussed by the community.

Once your development environment is set up, we recommend
creating a feature branch for each change you wish to make.
This branch should be based off of the `origin/develop`
branch on GitHub. When you're ready to make a pull request,
be sure to make `origin/develop` the target branch for your
pull request as well. Once your pull request has been
reviewed and all automated checks have passed, your changes
will be merged!

## Donating

If you feel so inclined, feel free to
[buy me a drink](https://patreon.com/chowdsp).
Note that I am making this software purely out of enjoyment,
and I certainly do not expect any monetary compensation. Also
note that donating will not give you any priority in determining
which bugs are fixed first, or which features are implemented.


## Sharing

Finally, if you enjoy using this plugin, feel free to share with
others!


---
## Contact

If you have questions, or want more information, please
contact me via [email](mailto:jatin@ccrma.stanford.edu).
